--! Previous: sha1:edbd0b791b8ca3d8f1c4ce64670c1f0d4fdaf5a2
--! Hash: sha1:cbb91e43842f87195c37b3bc08464a04f7c061b5
--! Message: Inserts descriptive thesaurus obtained from GloSIS v1.0

-- Enter migration here


ALTER TABLE core.thesaurus_desc_surface DROP CONSTRAINT IF EXISTS unq_thesaurus_desc_surface_label;

DELETE FROM core.thesaurus_desc_surface;

INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Deep 10–20', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-D');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium 2–10', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Surface < 2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very deep > 20', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very closely spaced < 0.2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Closely spaced 0.2–0.5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-D');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Moderately widely spaced 0.5–2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very widely spaced > 5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Widely spaced 2–5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-W');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Extremely wide > 10cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-E');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fine < 1cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium 1cm–2cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very wide 5cm–10cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Wide 2cm–5cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-W');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-A');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Common ', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-D');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-N');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-B');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Coarse gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fine gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-L');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Abundant ', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-A');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-D');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Stone line', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Angular', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-A');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Flat', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Rounded', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-R');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Subrounded', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-A');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Coarse artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AC');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fine artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AF');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AM');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very fine artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AV');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Boulders and large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-BL');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Combination of classes', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Coarse gravel and stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-CS');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fine and medium gravel/artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-FM');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium and coarse gravel/artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-MC');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Rock fragments', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-R');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RB');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Coarse gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RC');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fine gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RF');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RL');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RM');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RS');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Stones and boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-SB');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltCoverValueCode-0');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Low', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltCoverValueCode-1');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Moderate', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltCoverValueCode-2');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('High', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltCoverValueCode-3');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltCoverValueCode-4');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltThicknessValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Thin', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltThicknessValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltThicknessValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltThicknessValueCode-N');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltThicknessValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Extremely hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingConsistenceValueCode-E');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingConsistenceValueCode-H');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Slightly hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingConsistenceValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingConsistenceValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingThicknessValueCode-C');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Thin', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingThicknessValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingThicknessValueCode-M');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingThicknessValueCode-N');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Very thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#sealingThicknessValueCode-V');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Fresh or slightly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-F');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Strongly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-S');
INSERT INTO core.thesaurus_desc_surface (label, uri) VALUES ('Weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-W');



ALTER TABLE core.thesaurus_desc_plot DROP CONSTRAINT IF EXISTS unq_thesaurus_desc_plot_label;

DELETE FROM core.thesaurus_desc_plot;

INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Cereals', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Barley', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Ba');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Maize', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Ma');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Millet', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Mi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Oats', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Oa');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rice, paddy', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Pa');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rice, dry', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Ri');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rye', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Ry');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sorghum', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_So');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wheat', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ce_Wh');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Fibre crops', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Cotton', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fi_Co');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Jute', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fi_Ju');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Fodder plants', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Alfalfa', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Al');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Clover', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Cl');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Grasses', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Gr');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Hay', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Ha');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Leguminous', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Le');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Maize', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Ma');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Pumpkins', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fo_Pu');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Fruits and melons', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Apples', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Ap');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Bananas', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Ba');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Citrus', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Ci');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Grapes, Wine, Raisins', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Gr');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Mangoes', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Ma');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Melons', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Fr_Me');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-luxury foods and tobacco', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Lu');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Cocoa', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Lu_Cc');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Coffee', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Lu_Co');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tea', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Lu_Te');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tobacco', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Lu_To');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Oilcrops', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Coconuts', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Cc');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Groundnuts', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Gr');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Linseed', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Li');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Oil-palm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Op');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rape', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Ra');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sesame', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Se');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Soybeans', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_So');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sunflower', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Oi_Su');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Olives', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ol');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Other crops', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ot');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Palm (fibres, kernels)', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ot_Pa');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rubber', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ot_Ru');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sugar cane', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ot_Sc');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Pulses', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Pu');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Beans', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Pu_Be');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Lentils', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Pu_Le');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Peas', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Pu_Pe');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Roots and tubers', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ro');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Cassava', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ro_Ca');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Potatoes', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ro_Po');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sugar beets', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ro_Su');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Yams', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ro_Ya');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Vegetables', 'http://w3id.org/glosis/model/v1.0.0/codelists#cropClassValueCode-Ve');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Active at present', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionActivityPeriodValueCode-A');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Active in historical times', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionActivityPeriodValueCode-H');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Period of activity not known', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionActivityPeriodValueCode-N');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Active in recent past', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionActivityPeriodValueCode-R');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Accelerated and natural erosion not distinguished', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionActivityPeriodValueCode-X');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wind (aeolian) erosion or deposition', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-A');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wind deposition', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-AD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wind erosion and deposition', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-AM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Shifting sands', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-AS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Salt deposition', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-AZ');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Mass movement', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('No evidence of erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-N');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Not known', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-NK');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Water erosion or deposition', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-W');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Water and wind erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Deposition by water', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Gully erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WG');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rill erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sheet erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tunnel erosion', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionCategoryValueCode-WT');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Extreme', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionDegreeValueCode-E');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Moderate', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionDegreeValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Slight', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionDegreeValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Severe', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionDegreeValueCode-V');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('0', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-0');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('0–5', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('5–10', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('10–25', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('25–50', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('> 50', 'http://w3id.org/glosis/model/v1.0.0/codelists#erosionTotalAreaAffectedValueCode-5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Archaeological (burial mound, midden)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-AC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Artificial drainage', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-AD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Borrow pit', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-BP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Burning', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-BR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Bunding', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-BU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Clearing', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-CL');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Impact crater', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-CR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dump (not specified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-DU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Application of fertilizers', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-FE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Border irrigation', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-IB');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Drip irrigation', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-ID');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Furrow irrigation', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-IF');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Flood irrigation', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-IP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sprinkler irrigation', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-IS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Irrigation (not specified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-IU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Landfill (also sanitary)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-LF');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Levelling', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-LV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Raised beds (engineering purposes)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-ME');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Mine (surface, including openpit, gravel and quarries)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MI');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Organic additions (not specified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Plaggen', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Raised beds (agricultural purposes)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sand additions', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Mineral additions (not specified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-MU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('No influence', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-N');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Not known', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-NK');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Ploughing', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-PL');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Pollution', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-PO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Scalped area', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-SA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Surface compaction', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-SC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Terracing', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-TE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Vegetation strongly disturbed', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-VE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Vegetation moderately disturbed', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-VM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Vegetation slightly disturbed', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-VS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Vegetation disturbed (not specified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#humanInfluenceClassValueCode-VU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('A = Crop agriculture (cropping)', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-A');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Annual field cropping', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Shifting cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Fallow system cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Ley system cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rainfed arable cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wet rice cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Irrigated cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AA6');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Perennial field cropping', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Non-irrigated cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AP1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Irrigated cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AP2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tree and shrub cropping', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AT');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Non-irrigated tree crop cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AT1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Irrigated tree crop cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AT2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Non-irrigated shrub crop cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AT3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Irrigated shrub crop cultivation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-AT4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('F = Forestry', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-F');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Natural forest and woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-FN');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Selective felling', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-FN1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Clear felling', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-FN2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Plantation forestry', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-FP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('H = Animal husbandry', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-H');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Extensive grazing', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Nomadism', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HE1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-nomadism', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HE2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Ranching', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HE3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Intensive grazing', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HI');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Animal production', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HI1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dairying', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-HI2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('M = Mixed farming', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Agroforestry', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-MF');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Agropastoralism', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-MP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Other land uses', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-Oi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('P = Nature protection', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-P');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Degradation control', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Without interference', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PD1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('With interference', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PD2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Nature and game preservation', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PN');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Reserves', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PN1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Parks', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PN2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Wildlife management', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-PN3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('S = Settlement, industry', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Recreational use', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-SC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Disposal sites', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-SD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Industrial use', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-SI');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Residential use', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-SR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Transport', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-ST');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Excavations', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-SX');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Not used and not managed', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-U');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Military area', 'http://w3id.org/glosis/model/v1.0.0/codelists#landUseClassValueCode-Y');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Cuesta-shaped', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-CU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dome-shaped', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-DO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dune-shaped', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-DU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('With intermontane plains (occupying > 15%) ', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-IM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Inselberg covered (occupying > 1% of level land) ', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-IN');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Strong karst', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-KA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Ridged ', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-RI');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Terraced', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-TE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('With wetlands (occupying > 15%)', 'http://w3id.org/glosis/model/v1.0.0/codelists#landformComplexValueCode-WE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('igneous rock', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-I');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('acid igneous', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('diorite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IA1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('grano-diorite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IA2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('quartz-diorite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IA3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('rhyolite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IA4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('basic igneous', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IB');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('gabbro', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IB1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('basalt', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IB2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('dolerite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IB3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('intermediate igneous', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-II');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('andesite, trachyte, phonolite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-II1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('diorite-syenite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-II2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('pyroclastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('tuff, tuffite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IP1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('volcanic scoria/breccia', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IP2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('volcanic ash', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IP3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('ignimbrite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IP4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('ultrabasic igneous', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('peridotite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IU1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('pyroxenite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IU2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('ilmenite, magnetite, ironstone, serpentine', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-IU3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('metamorphic rock', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('acid metamorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('quartzite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MA1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('gneiss, migmatite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MA2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('slate, phyllite (pelitic rocks)', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MA3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('schist', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MA4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('basic metamorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('slate, phyllite (pelitic rocks)', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('(green)schist', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('gneiss rich in Fe–Mg minerals', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('metamorphic limestone (marble)', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('amphibolite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('eclogite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MB6');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('ultrabasic metamorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('serpentinite, greenstone', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-MU1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sedimentary rock (consolidated)', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('clastic sediments', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('conglomerate, breccia', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sandstone, greywacke, arkose', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('silt-, mud-, claystone', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('shale', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('ironstone', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SC5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('evaporites', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('anhydrite, gypsum', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SE1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('halite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SE2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('carbonatic, organic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('limestone, other carbonate rock', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SO1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('marl and other mixtures', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SO2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('coals, bitumen and related rocks', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-SO3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sedimentary rock (unconsolidated)', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-U');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('anthropogenic/technogenic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('redeposited natural material', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UA1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('industrial/artisanal deposits', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UA2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('colluvial', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('slope deposits', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UC1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('lahar', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UC2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('eolian', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('loess', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UE1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UE2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('fluvial', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UF');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sand and gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UF1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('clay, silt and loam', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UF2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('glacial', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UG');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('moraine', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UG1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('UG2 glacio-fluvial sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UG2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('UG3 glacio-fluvial gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UG3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('kryogenic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UK');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('periglacial rock debris', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UK1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('periglacial solifluction layer', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UK2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('lacustrine', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UL');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UL1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('silt and clay', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UL2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('marine, estuarine', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UM1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('clay and silt', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UM2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('organic', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('rainwater-fed moor peat', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UO1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('groundwater-fed bog peat', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UO2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('weathered residuum', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('bauxite, laterite', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UR1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('unspecified deposits', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('clay', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('loam and silt', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('gravelly sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('gravel, broken rock', 'http://w3id.org/glosis/model/v1.0.0/codelists#lithologyValueCode-UU5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('level land ', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-L');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('depression', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-LD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('plateau', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-LL');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('plain', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-LP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('valley floor', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-LV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sloping land ', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('medium-gradient escarpment zone', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-SE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('medium-gradient hill', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-SH');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('medium-gradient mountain', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-SM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('dissected plain', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-SP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('medium-gradient valley', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-SV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('steep land', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-T');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('high-gradient escarpment zone', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-TE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('high-gradient hill', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-TH');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('high-gradient mountain', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-TM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('high-gradient valley', 'http://w3id.org/glosis/model/v1.0.0/codelists#majorLandFormValueCode-TV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Bottom (drainage line)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-BOdl');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Bottom (flat)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-BOf');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Crest (summit)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-CR');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Higher part (rise)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-HI');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Intermediate part (talf)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-IN');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Lower part (and dip)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-LO');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Lower slope (foot slope)', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-LS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Middle slope (back slope) ', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-MS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Toe slope', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-TS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Upper slope (shoulder) ', 'http://w3id.org/glosis/model/v1.0.0/codelists#physiographyValueCode-UP');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-A');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-C');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-D');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-F');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-N');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsCoverValueCode-V');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('> 50', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsDistanceValueCode-1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('20–50', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsDistanceValueCode-2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('5–20', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsDistanceValueCode-3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('2–5', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsDistanceValueCode-4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('< 2', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockOutcropsDistanceValueCode-5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('concave', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeFormValueCode-C');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('straight', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeFormValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('terraced', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeFormValueCode-T');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('convex', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeFormValueCode-V');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('complex (irregular)', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeFormValueCode-X');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Flat', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-01');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Level', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-02');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Nearly level', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-03');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Very gently sloping ', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-04');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Gently sloping', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-05');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Sloping', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-06');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Strongly sloping', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-07');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Moderately steep', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-08');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Steep', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-09');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Very steep', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopeGradientClassValueCode-10');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('CC', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-CC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('CS', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-CS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('CV', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-CV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('SC', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-SC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('SS', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-SS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('SV', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-SV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('VC', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-VC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('VS', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-VS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('VV', 'http://w3id.org/glosis/model/v1.0.0/codelists#slopePathwaysValueCode-VV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Holocene anthropogeomorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-Ha');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Holocene natural', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-Hn');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Older, pre-Tertiary land surfaces', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-O');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tertiary land surfaces', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-T');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Young anthropogeomorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-Ya');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Young natural', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-Yn');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Late Pleistocene, without periglacial influence.', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-lPf');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Late Pleistocene, ice covered', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-lPi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Late Pleistocene, periglacial', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-lPp');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Older Pleistocene, without periglacial influence.', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-oPf');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Older Pleistocene, ice covered', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-oPi');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Older Pleistocene, with periglacial influence', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-oPp');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Very young anthropogeomorphic', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-vYa');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Very young natural', 'http://w3id.org/glosis/model/v1.0.0/codelists#surfaceAgeValueCode-vYn');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Groundwater-fed bog peat', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-B');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Dwarf shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-D');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Deciduous dwarf shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-DD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Evergreen dwarf shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-DE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-deciduous dwarf shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-DS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tundra', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-DT');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Xermomorphic dwarf shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-DX');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Closed forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-F');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Coniferous forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-FC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Deciduous forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-FD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Evergreen broad-leaved forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-FE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-deciduous forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-FS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Xeromorphic forest', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-FX');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Herbaceous', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-H');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Forb', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-HF');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Medium grassland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-HM');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Short grassland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-HS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Tall grassland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-HT');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Rainwater-fed moor peat', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-M');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Deciduous shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-SD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Evergreen shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-SE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-deciduous shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-SS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Xeromorphic shrub', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-SX');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-W');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Deciduous woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-WD');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Evergreen woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-WE');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Semi-deciduous woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-WS');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Xeromorphic woodland', 'http://w3id.org/glosis/model/v1.0.0/codelists#vegetationClassValueCode-WX');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('overcast', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-OV');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('partly cloudy', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-PC');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('rain', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-RA');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sleet', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-SL');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('snow', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-SN');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('sunny/clear', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-SU');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('no rain in the last month', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC1');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('no rain in the last week', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC2');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('no rain in the last 24 hours', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC3');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('rainy without heavy rain in the last 24 hours', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC4');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('heavier rain for some days or rainstorm in the last 24 hours', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC5');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('extremely rainy time or snow melting', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatherConditionsValueCode-WC6');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Fresh or slightly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-F');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Strongly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-S');
INSERT INTO core.thesaurus_desc_plot (label, uri) VALUES ('Weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-W');

ALTER TABLE core.thesaurus_desc_profile DROP CONSTRAINT IF EXISTS unq_thesaurus_desc_profile_label;

DELETE FROM core.thesaurus_desc_profile;

INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Reference profile description', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-1');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Reference profile description - no sampling', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-1.1');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Routine profile description ', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-2');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Routine profile description - no sampling', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-2.1');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Incomplete description ', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-3');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Incomplete description - no sampling', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-3.1');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Soil augering description ', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-4');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Soil augering description - no sampling', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-4.1');
INSERT INTO core.thesaurus_desc_profile (label, uri) VALUES ('Other descriptions ', 'http://w3id.org/glosis/model/v1.0.0/codelists#profileDescriptionStatusValueCode-5');


ALTER TABLE core.thesaurus_desc_element DROP CONSTRAINT IF EXISTS unq_thesaurus_desc_element_label;

DELETE FROM core.thesaurus_desc_element;

INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Burrows (unspecified)', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Infilled large burrows', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-BI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Open large burrows', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-BO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Charcoal', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Earthworm channels', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-E');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Other insect activity', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Pedotubules', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Termite or ant channels and nests', 'http://w3id.org/glosis/model/v1.0.0/codelists#biologicalFeaturesValueCode-T');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clear', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryClassificationValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Diffuse', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryClassificationValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sharp', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryClassificationValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abrupt', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryDistinctnessValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clear', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryDistinctnessValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Diffuse', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryDistinctnessValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Gradual', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryDistinctnessValueCode-G');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Broken', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryTopographyValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Irregular', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryTopographyValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Smooth', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryTopographyValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Wavy', 'http://w3id.org/glosis/model/v1.0.0/codelists#boundaryTopographyValueCode-W');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many pores, moist materials drop easily out of the auger.', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityMineralValueCode-BD1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sample disintegrates into numerous fragments after application of weak pressure.', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityMineralValueCode-BD2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Knife can be pushed into the moist soil with weak pressure, sample disintegrates into few fragments, which may be further divided.', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityMineralValueCode-BD3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Knife penetrates only 1–2 cm into the moist soil, some effort required, sample disintegrates into few fragments, which cannot be subdivided further.', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityMineralValueCode-BD4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very large pressure necessary to force knife into the soil, no further disintegration of sample.', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityMineralValueCode-BD5');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('< 0.04g cm-3', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityPeatValueCode-BD1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('0.04–0.07g cm-3', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityPeatValueCode-BD2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('0.07–0.11g cm-3', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityPeatValueCode-BD3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('0.11–0.17g cm-3', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityPeatValueCode-BD4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('> 0.17g cm-3', 'http://w3id.org/glosis/model/v1.0.0/codelists#bulkDensityPeatValueCode-BD5');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('≈ > 25 Extremely calcareous Extremely strong reaction. Thick foam forms quickly.', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesContentValueCode-EX');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('≈ 2–10 Moderately calcareous Visible effervescence.', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesContentValueCode-MO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('0 Non-calcareous No detectable visible or audible effervescence.', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesContentValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('≈ 0–2 Slightly calcareous Audible effervescence but not visible.', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesContentValueCode-SL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('≈ 10–25 Strongly calcareous Strong visible effervescence. Bubbles form a low foam.', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesContentValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('disperse powdery lime', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('hard concretions', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-HC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('hard hollow concretions', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-HHC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('hard cemented layer or layers of carbonates (less than 10 cm thick)', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-HL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('marl layer', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('pseudomycelia* (carbonate infillings in pores, resembling mycelia)', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-PM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('soft concretions', 'http://w3id.org/glosis/model/v1.0.0/codelists#carbonatesFormsValueCode-SC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Broken', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationContinuityValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Continuous', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationContinuityValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Discontinuous', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationContinuityValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Cemented', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Indurated', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderately cemented', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Non-cemented and non-compacted', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Weakly cemented', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-W');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Compacted but non-cemented', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationDegreeValueCode-Y');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Nodular', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationFabricValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Pisolithic', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationFabricValueCode-Pi');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Platy', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationFabricValueCode-Pl');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Vesicular', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationFabricValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay–sesquioxides', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-CS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Iron', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Iron–manganese (sesquioxides)', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-FM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Iron–organic matter', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-FO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Gypsum', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-GY');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Ice', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Carbonates', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-K');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Carbonates–silica', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-KQ');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Mechanical', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Not known', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-NK');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Ploughing', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Silica', 'http://w3id.org/glosis/model/v1.0.0/codelists#cementationNatureValueCode-Q');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few ', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Distinct', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingContrastValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Faint', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingContrastValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Prominent', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingContrastValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Continuous', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Continuous irregular (non-uniform, heterogeneous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-CI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Discontinuous circular', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-DC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Dendroidal', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-DE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Discontinuous irregular', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-DI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Other', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingFormValueCode-O');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Bridges between sand grains', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-BR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse fragments', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-CF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Lamellae (clay bands)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-LA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('No specific location', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-NS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Pedfaces', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Horizontal pedfaces', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-PH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Vertical pedfaces', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-PV');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Voids', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingLocationValueCode-VO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Calcium carbonate', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-CC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay and humus (organic matter)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-CH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay and sesquioxides', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-CS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Gibbsite', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-GB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Humus', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-H');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Hypodermic coatings (Hypodermic coatings, as used here, are field-scale features, commonly only expressed as hydromorphic features. Micromorphological hypodermic coatings include non-redox features [Bullock et al., 1985].)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-HC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Jarosite', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-JA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Manganese', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-MN');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Pressure faces', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-PF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sesquioxides', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sand coatings', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Shiny faces (as in nitic horizon)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slickensides, predominantly intersecting (Slickensides are polished and grooved ped surfaces that are produced by aggregates sliding one past another.)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Silica (opal)', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slickensides, non intersecting', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SN');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slickensides, partly intersecting', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-SP');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Silt coatings', 'http://w3id.org/glosis/model/v1.0.0/codelists#coatingNatureValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-EHA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-HA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('hard to very hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-HVH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Loose', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-LO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slightly hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-SHA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('slightly hard to hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-SHH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Soft', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-SO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('soft to slightly hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-SSH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceDryValueCode-VHA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely firm', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-EFI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Firm', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-FI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Friable', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-FR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Loose', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-LO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very firm ', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-VFI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very friable', 'http://w3id.org/glosis/model/v1.0.0/codelists#consistenceMoistValueCode-VFR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Distinct', 'http://w3id.org/glosis/model/v1.0.0/codelists#contrastValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Faint', 'http://w3id.org/glosis/model/v1.0.0/codelists#contrastValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Prominent', 'http://w3id.org/glosis/model/v1.0.0/codelists#contrastValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely gypsiric', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumContentValueCode-EX');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderately gypsiric', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumContentValueCode-MO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Non-gypsiric', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumContentValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slightly gypsiric', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumContentValueCode-SL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Strongly gypsiric', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumContentValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('disperse powdery gypsum', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumFormsValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('“gazha” (clayey water-saturated layer with high gypsum content)', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumFormsValueCode-G');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('hard cemented layer or layers of gypsum (less than 10 cm thick)', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumFormsValueCode-HL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('soft concretions', 'http://w3id.org/glosis/model/v1.0.0/codelists#gypsumFormsValueCode-SC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Bluish-black', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-BB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Black', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-BL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Brown', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-BR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Brownish', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-BS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Blue', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-BU');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Greenish', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-GE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Grey', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-GR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Greyish', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-GS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Multicoloured', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-MC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Reddish brown', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-RB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Red', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-RE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Reddish', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-RS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Reddish yellow', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-RY');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('White', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-WH');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Yellowish brown', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-YB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Yellow', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-YE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Yellowish red', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcColourValueCode-YR');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Both hard and soft.', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcHardnessValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Hard', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcHardnessValueCode-H');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Soft', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcHardnessValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Concretion', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Crack infillings', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-IC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Pore infillings', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-IP');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Nodule', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Other', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-O');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Residual rock fragment', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-R');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Soft segregation (or soft accumulation)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Soft concretion', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-SC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Crystal', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcKindValueCode-T');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay (argillaceous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Clay–sesquioxides', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-CS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Iron (ferruginous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Iron–manganese (sesquioxides)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-FM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Gibbsite', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-GB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Gypsum (gypsiferous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-GY');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Jarosite', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-JA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Carbonates (calcareous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-K');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Carbonates–silica', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-KQ');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Manganese (manganiferous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Not known', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-NK');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Silica (siliceous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-Q');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sulphur (sulphurous)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Salt (saline)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcNatureValueCode-SA');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Angular', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcShapeValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Elongated', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcShapeValueCode-E');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Flat', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcShapeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Irregular', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcShapeValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Rounded (spherical)', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcShapeValueCode-R');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcSizeValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcSizeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcSizeValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcSizeValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralConcVolumeValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Feldspar', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralFragmentsValueCode-FE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Mica', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralFragmentsValueCode-MI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('<Quartz', 'http://w3id.org/glosis/model/v1.0.0/codelists#mineralFragmentsValueCode-QU');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('A Coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesSizeValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('F Fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesSizeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('M Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesSizeValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#mottlesSizeValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('very low', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('low', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('moderate', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('strong', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('moderately strong', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D5.1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('very strong', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-D5.2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fibric', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-Fibric');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Hemic', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-Hemic');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sapric', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDecompostionValueCode-Sapric');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Undrained', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDrainageValueCode-DC1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Weakly drained', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDrainageValueCode-DC2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderately drained', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDrainageValueCode-DC3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Well drained', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatDrainageValueCode-DC4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('< 3%', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatVolumeValueCode-SV1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('3– < 5%', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatVolumeValueCode-SV2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('5– < 8%', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatVolumeValueCode-SV3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('8– < 12%', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatVolumeValueCode-SV4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('≥ 12%', 'http://w3id.org/glosis/model/v1.0.0/codelists#peatVolumeValueCode-SV5');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Non-plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-NPL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-PL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('plastic to very plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-PVP');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slightly plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-SPL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('slightly plastic to plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-SPP');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very plastic', 'http://w3id.org/glosis/model/v1.0.0/codelists#plasticityValueCode-VPL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#poresAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#poresAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#poresAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#poresAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#poresAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very low', 'http://w3id.org/glosis/model/v1.0.0/codelists#porosityClassValueCode-1');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Low', 'http://w3id.org/glosis/model/v1.0.0/codelists#porosityClassValueCode-2');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#porosityClassValueCode-3');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('High', 'http://w3id.org/glosis/model/v1.0.0/codelists#porosityClassValueCode-4');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very high', 'http://w3id.org/glosis/model/v1.0.0/codelists#porosityClassValueCode-5');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#rootsAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rootsAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#rootsAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#rootsAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rootsAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-EX');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderately salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-MO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('(nearly)Not salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slightly salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-SL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Strongly salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very strongly salty', 'http://w3id.org/glosis/model/v1.0.0/codelists#saltContentValueCode-VST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-CS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse sandy loam', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-CSL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-FS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine sandy loam', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-FSL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Loamy coarse sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-LCS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Loamy fine sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-LFS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Loamy very fine sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-LVFS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-MS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sand, unsorted', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-US');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine sand', 'http://w3id.org/glosis/model/v1.0.0/codelists#sandyTextureValueCode-VFS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Non-sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-NST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('slightly sticky to sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-SSS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Slightly sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-SST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('sticky to very sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-SVS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very sticky', 'http://w3id.org/glosis/model/v1.0.0/codelists#stickinessValueCode-VST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderate', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureGradeValueCode-MO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderate to strong', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureGradeValueCode-MS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Strong', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureGradeValueCode-ST');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Weak', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureGradeValueCode-WE');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Weak to moderate', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureGradeValueCode-WM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse/thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-CO');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-EC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine/thin', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-FI');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-ME');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very coarse/thick', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-VC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine/thin', 'http://w3id.org/glosis/model/v1.0.0/codelists#structureSizeValueCode-VF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Vesicular', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsClassificationValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Channels', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsClassificationValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Interstitial', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsClassificationValueCode-I');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Planes', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsClassificationValueCode-P');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Vughs', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsClassificationValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('fine and very fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-FF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('fine and medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-FM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('medium and coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-MC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very coarse', 'http://w3id.org/glosis/model/v1.0.0/codelists#voidsDiameterValueCode-VC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Deep 10–20', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium 2–10', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Surface < 2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very deep > 20', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDepthValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very closely spaced < 0.2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Closely spaced 0.2–0.5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Moderately widely spaced 0.5–2', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very widely spaced > 5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Widely spaced 2–5', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksDistanceValueCode-W');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Extremely wide > 10cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-E');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine < 1cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium 1cm–2cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very wide 5cm–10cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Wide 2cm–5cm', 'http://w3id.org/glosis/model/v1.0.0/codelists#cracksWidthValueCode-W');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abundant', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common ', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentCoverValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-B');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-L');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#fragmentSizeValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Abundant ', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Common', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Dominant', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-D');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Many', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-M');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('None', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-N');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Stone line', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very few', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockAbundanceValueCode-V');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Angular', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Flat', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Rounded', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-R');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Subrounded', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockShapeValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-A');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Very fine artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-AV');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Boulders and large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-BL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Combination of classes', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-C');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse gravel and stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-CS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine and medium gravel/artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-FM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium and coarse gravel/artefacts', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-MC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Rock fragments', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-R');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Coarse gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RC');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fine gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RF');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Large boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RL');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Medium gravel', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RM');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Stones', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-RS');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Stones and boulders', 'http://w3id.org/glosis/model/v1.0.0/codelists#rockSizeValueCode-SB');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Fresh or slightly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-F');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Strongly weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-S');
INSERT INTO core.thesaurus_desc_element (label, uri) VALUES ('Weathered', 'http://w3id.org/glosis/model/v1.0.0/codelists#weatheringValueCode-W');
